Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/poptQV.c File Reference

Popt tables for query/verify modes. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | POPT_QUERYFORMAT -1000
#define | POPT_WHATREQUIRES -1001
#define | POPT_WHATPROVIDES -1002
#define | POPT_QUERYBYNUMBER -1003
#define | POPT_TRIGGEREDBY -1004
#define | POPT_DUMP -1005
#define | POPT_SPECFILE -1006
#define | POPT_QUERYBYPKGID -1007
#define | POPT_QUERYBYHDRID -1008
#define | POPT_QUERYBYFILEID -1009
#define | POPT_QUERYBYTID -1010

## Functions

void | rpmQVSourceArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)
void | queryArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)

## Variables

rpmQVArguments_s | rpmQVArgs
int | specedit = 0
poptOption | rpmQVSourcePoptTable []
| Common query/verify mode options. More...
poptOption | rpmQueryPoptTable []
| Query mode options. More...
poptOption | rpmVerifyPoptTable []
| Verify mode options. More...

## Detailed Description

Popt tables for query/verify modes.

Definition in file poptQV.c.

## Define Documentation

#define POPT_DUMP -1005

| Definition at line 24 of file poptQV.c. Referenced by queryArgCallback.

#define POPT_QUERYBYFILEID -1009

| Definition at line 28 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_QUERYBYHDRID -1008

| Definition at line 27 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_QUERYBYNUMBER -1003

| Definition at line 22 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_QUERYBYPKGID -1007

| Definition at line 26 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_QUERYBYTID -1010

| Definition at line 29 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_QUERYFORMAT -1000

| Definition at line 19 of file poptQV.c. Referenced by queryArgCallback.

#define POPT_SPECFILE -1006

| Definition at line 25 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_TRIGGEREDBY -1004

| Definition at line 23 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_WHATPROVIDES -1002

| Definition at line 21 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

#define POPT_WHATREQUIRES -1001

| Definition at line 20 of file poptQV.c. Referenced by rpmQVSourceArgCallback.

## Function Documentation

void queryArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data
| ) | `[static]`

| Definition at line 126 of file poptQV.c. References POPT_DUMP, POPT_QUERYFORMAT, rpmQVArgs, xmalloc, and xrealloc.

void rpmQVSourceArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data
| ) | `[static]`

| Definition at line 32 of file poptQV.c. References POPT_QUERYBYFILEID, POPT_QUERYBYHDRID, POPT_QUERYBYNUMBER, POPT_QUERYBYPKGID, POPT_QUERYBYTID, POPT_SPECFILE, POPT_TRIGGEREDBY, POPT_WHATPROVIDES, POPT_WHATREQUIRES, and rpmQVArgs.

## Variable Documentation

struct poptOption rpmQueryPoptTable[]

| Query mode options. Definition at line 165 of file poptQV.c.

struct rpmQVArguments_s rpmQVArgs

| Definition at line 14 of file poptQV.c. Referenced by main, queryArgCallback, and rpmQVSourceArgCallback.

struct poptOption rpmQVSourcePoptTable[]

| Common query/verify mode options. Definition at line 84 of file poptQV.c.

struct poptOption rpmVerifyPoptTable[]

| Verify mode options. Definition at line 209 of file poptQV.c.

int specedit = 0

| Definition at line 17 of file poptQV.c.